=== debian/changelog ===
replicator (2.1.0) unstable; urgency=low

  * added support for woody

 -- Sbastien Chaumat <schaumat@debian.org>  Tue, 29 May 2001 17:31:45 +0200

replicator (2.0.1) unstable; urgency=low

  * Initial Release.
  * Modified Makefile to fill Debian requirements.
  
 -- Sbastien Chaumat <schaumat@debian.org>  Sun, 18 Feb 2001 20:00:32 +0100

Local variables:
mode: debian-changelog
End:
