=== debian/control ===
Source: replicator
Section: admin
Priority: optional
Build-Depends: debhelper, tetex-bin, tetex-extra, latex2html
Maintainer: Sbastien Chaumat <schaumat@debian.org>
Standards-Version: 3.1.0

Package: replicator
Architecture: i386
Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub
Description: automate new computer installations in a networked site.
 Using a nfs-root filesystem and rsync, replicator allow 
 you to non-interactively install a target computer 
 identical to the model computer. It can handle differences 
 in partitioning and hardware.
 .
 Designed for clusters, classrooms and wherever you need 
 identical Debian boxes.
 .
 It's REALLY faster than normal Debian installation method.
