## replicator 3.0-2

=== Makefile ===
DESTDIR=
VERSION=3.0
#CFLAGS=-O
INSTALL=install -o root -g root

SHAREDIR=usr/share/replicator
DOCDIR=usr/share/doc/replicator
CONFDIR=etc/replicator

SCRIPTS=repli-miniroot repli-bootdisk repli-update repli-sync

SHARED=repli-common repli-dialog repli-install\
update_rules.default repli-miniroot-potato
#repli-diskless repli-xconfig mouseconf 

DOC=replicator.conf.example\
repli-postinst.example\
repli-sync.conf.example\
Replicator-UserGuide.ps\
Replicator-UserGuide.pdf\
Replicator-UserGuide.lyx copyright TODO 
#repli-postinst.diskless.example 

MAN=replicator.8
MAN-DEST=$(DESTDIR)/usr/share/man/man8/

install-scripts: $(SCRIPTS)
	mkdir -p $(DESTDIR)/usr/sbin
	$(INSTALL) -m 755 $(SCRIPTS) $(DESTDIR)/usr/sbin

install-shared: $(SCRIPTS)
	mkdir -p $(DESTDIR)/$(SHAREDIR)
	$(INSTALL) -m 755 $(SHARED) $(DESTDIR)/$(SHAREDIR)

install-doc:
	mkdir -p  $(DESTDIR)/$(DOCDIR)
	$(INSTALL) -m 644 $(DOC) $(DESTDIR)/$(DOCDIR)


#	mkdir $(HTML-DOC-DEST)
#	$(INSTALL) -m644 Replicator-UserGuide/* $(HTML-DOC-DEST) 

install-conf:
	mkdir -p $(DESTDIR)/$(CONFDIR)
	$(INSTALL) -m644 replicator.conf.example $(DESTDIR)/$(CONFDIR)/replicator.conf
	$(INSTALL) -m644 rsyncd.conf $(DESTDIR)/$(CONFDIR)
#to add
#	$(INSTALL) -m644 repli-sync.conf.example $(DESTDIR)/$(CONFDIR)

install-man:
	mkdir -p $(MAN-DEST)
	$(INSTALL) -m644 $(MAN) $(MAN-DEST)
	gzip $(MAN-DEST)/$(MAN)
	cd $(MAN-DEST) && ln -s replicator.8.gz repli-miniroot.8.gz
	cd $(MAN-DEST) && ln -s replicator.8.gz repli-bootdisk.8.gz

install: all install-scripts install-shared install-doc install-conf install-man 
#install-kernel

all : binaries 

binaries :
#mouseconf uname.so

mouseconf : boml.o mtest.o
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^
	strip mouseconf

uname.so : uname.c
	$(CC) -shared -o $@ -fpic uname.c -ldl

%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $^

clean : doc-clean
	rm -f *.o mouseconf 
	rm -f replicator-*.tgz
	rm -f uname.so

src-clean : 
	rm *~

docdiff:
	egrep  "^#" replicator.conf.example > /tmp/com.conf.example
	egrep  "^#" replicator.conf > /tmp/com.conf
	diff -u /tmp/com.conf /tmp/com.conf.example

#doc-clean: latex-clean
#	rm -f Replicator-UserGuide.ps Replicator-UserGuide.pdf
#	rm -rf Replicator-UserGuide

latex-clean: 
	rm -f Replicator-UserGuide.aux Replicator-UserGuide.dvi Replicator-UserGuide.log Replicator-UserGuide.toc

#doc: latex-clean
#	latex Replicator-UserGuide.tex
#	latex Replicator-UserGuide.tex
#	dvips -o Replicator-UserGuide.ps Replicator-UserGuide.dvi
#	gzip Replicator-UserGuide.ps
#	pdflatex Replicator-UserGuide.tex
#	latex2html -split +1 -local_icons Replicator-UserGuide.tex

#web-doc: doc
#	pdflatex Replicator-UserGuide.tex
#	latex2html -split +1 -local_icons Replicator-UserGuide.tex
