=== debian/changelog ===
replicator (3.0-2) unstable; urgency=high

  * fixed network configuration when not using dhcp (Bernd Harmsen)

 -- Sebastien Chaumat <schaumat@debian.org>  Fri, 20 Dec 2002 21:17:14 +0100

replicator (3.0-1) unstable; urgency=low

  * increasing version number in unstable to allow uploading 3.0 in stable

-- Sebastien Chaumat <schaumat@debian.org>  Wed, 18 Dec 2002 17:51:08 +0100

replicator (3.0) unstable; urgency=high

  * now works with woody (closes: #155656)
  * documentation updated to reflect woody support
  * bugfixe : parsing of @networks
  * /etc/replicator* removed from exlude list
  * $mkfs added to choose filesystem on target
  * repli-dialog show the name of installation device and $mkfs
  * better handling of kernel keymap (woody compliant)
  * when partitionning, the first 512 bytes of the partitions are filed with 0 (Bertrand Louis-Lucas)
  * moved all scripts to /usr/sbin (on miniroot-server and in miniroot) : closes #106311
  * closes: #112557

 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 17 Nov 2002 12:49:49 +0100

replicator (2.1.1) unstable; urgency=low

  * added caller support in &error (Ferran Jorba)
  * fixed bad generation of /etc/network/interfaces in the dhcp case
  * fixed the handling of /etc/modules
  * closes: Bug#97917 (ITP)
  * removed obsolete $domainname variable from replicator.conf
  * added more verbosity in the function find_host_conf
  * doc : added a comment about repli-sync using the "--real" option closes:Bug#106311
  * added Depend: hostname
  * new handling method of lilo.conf and fstab
  * improved serial and multiple target support (Loic)

 -- Sebastien Chaumat <schaumat@debian.org>  Wed,  5 Sep 2001 03:18:24 +0200
