=== debian/rules ===
--- 
+++ 
@@ -52,11 +52,11 @@
 #	dh_installcron
 	dh_installmanpages
 #	dh_installinfo
-#	dh_undocumented
+	dh_undocumented -preplicator repli-sync.8 repli-update.8
 	dh_installchangelogs 
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress -XReplicator-UserGuide.pdf
 	dh_fixperms
 	# You may want to make some executables suid here.
 #	dh_suidregister
