## replicator 3.1-sarge-1.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 DESTDIR=
 VERSION=3.0
-#CFLAGS=-O
 INSTALL=install -o root -g root
 
 SHAREDIR=usr/share/replicator
@@ -9,16 +8,14 @@
 
 SCRIPTS=repli-miniroot repli-bootdisk repli-update repli-sync
 
-SHARED=repli-common repli-dialog repli-install\
-update_rules.default repli-miniroot-potato
+SHARED=repli-common repli-dialog repli-install repli-miniroot-potato\
+update_rules.default
 #repli-diskless repli-xconfig mouseconf 
 
 DOC=replicator.conf.example\
-repli-postinst.example\
 repli-sync.conf.example\
 Replicator-UserGuide.ps\
-Replicator-UserGuide.pdf\
-Replicator-UserGuide.lyx copyright TODO 
+Replicator-UserGuide.lyx copyright
 #repli-postinst.diskless.example 
 
 MAN=replicator.8
@@ -30,15 +27,12 @@
 
 install-shared: $(SCRIPTS)
 	mkdir -p $(DESTDIR)/$(SHAREDIR)
-	$(INSTALL) -m 755 $(SHARED) $(DESTDIR)/$(SHAREDIR)
+	$(INSTALL) -m 644 $(SHARED) $(DESTDIR)/$(SHAREDIR)
 
 install-doc:
 	mkdir -p  $(DESTDIR)/$(DOCDIR)
 	$(INSTALL) -m 644 $(DOC) $(DESTDIR)/$(DOCDIR)
 
-
-#	mkdir $(HTML-DOC-DEST)
-#	$(INSTALL) -m644 Replicator-UserGuide/* $(HTML-DOC-DEST) 
 
 install-conf:
 	mkdir -p $(DESTDIR)/$(CONFDIR)
@@ -53,14 +47,11 @@
 	gzip $(MAN-DEST)/$(MAN)
 	cd $(MAN-DEST) && ln -s replicator.8.gz repli-miniroot.8.gz
 	cd $(MAN-DEST) && ln -s replicator.8.gz repli-bootdisk.8.gz
+	cd $(MAN-DEST) && ln -s replicator.8.gz repli-sync.8.gz
+	cd $(MAN-DEST) && ln -s replicator.8.gz repli-update.8.gz
 
-install: all install-scripts install-shared install-doc install-conf install-man 
+install: install-scripts install-shared install-doc install-conf install-man 
 #install-kernel
-
-all : binaries 
-
-binaries :
-#mouseconf uname.so
 
 mouseconf : boml.o mtest.o
 	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^
@@ -73,23 +64,20 @@
 	$(CC) -c $(CPPFLAGS) $(CFLAGS) $^
 
 clean : doc-clean
-	rm -f *.o mouseconf 
-	rm -f replicator-*.tgz
-	rm -f uname.so
 
 src-clean : 
-	rm *~
+	rm -rf *~
+
+build-lab : src-clean
+	rm -rf CVS debian/CVS
+	rm -rf debian/tmp
 
 docdiff:
 	egrep  "^#" replicator.conf.example > /tmp/com.conf.example
 	egrep  "^#" replicator.conf > /tmp/com.conf
 	diff -u /tmp/com.conf /tmp/com.conf.example
 
-#doc-clean: latex-clean
-#	rm -f Replicator-UserGuide.ps Replicator-UserGuide.pdf
-#	rm -rf Replicator-UserGuide
-
-latex-clean: 
+doc-clean: 
 	rm -f Replicator-UserGuide.aux Replicator-UserGuide.dvi Replicator-UserGuide.log Replicator-UserGuide.toc
 
 #doc: latex-clean
