=== debian/changelog ===
replicator (3.1-sarge-1.3) unstable; urgency=critical

  * removed dpkg-repack from the miniroot (breaks repli-miniroot since
    last dpkg-repack version) (Ferran Jorba)
  * minor typo fixes (Ferran Jorba)
  * added instructions to remove an half installed miniroot 
  * drop the pdf documentation
  * updated the doc about using 2.6 kernel on the bootdisk

 -- Sebastien Chaumat <schaumat@debian.org>  Wed,  1 Sep 2004 16:31:34 +0200

replicator (3.1-sarge-1.2) unstable; urgency=critical

  * fixed conflicting loading of configuration file between 
    repli-install and repli-sync (closes: #268175)
  * secured creation of temporary files in repli-install
  * fixed the automatic generation of repli-sync.conf
  * some minor fixes
  
 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 29 Aug 2004 16:47:38 +0200

replicator (3.1-sarge-1.1) unstable; urgency=critical

  * fixed bad call to postinst instead of preinst (closes: #268354)
 
 -- Sebastien Chaumat <schaumat@debian.org>  Fri, 27 Aug 2004 14:07:31 +0200
 

replicator (3.1-sarge-1) unstable; urgency=critical

  * sarge compliance (closes: #264540) 
  * allow grub support on the target
  * cleanings and typo fixes (closes: #265422)
  * you can now change the filesystem for each partition separately
  * many options to reduce interactivity (even completely)
  * $host_supp is now also used to build the miniroot /etc/host (Robert A Nader)
  * resolv.conf is now copied from the miniroot server inside the miniroot (Robert A Nader)
  * add a warning about using (U)DMA during replication
  * lilo.conf always generated using a template

 -- Sebastien Chaumat <schaumat@debian.org>  Thu, 19 Aug 2004 14:35:48 +0200

replicator (3.0-3) unstable; urgency=low

  * fixed bug in repli-sync : $confdir is no more synchronized (to prevent data loss)
  * support for devfs on the model
  * code cleaning

 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 27 Apr 2003 23:02:54 +0200
