=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: debhelper
 Maintainer: Sebastien Chaumat <schaumat@debian.org>
-Standards-Version: 3.5.2 
+Standards-Version: 3.6.1
 
 Package: replicator
 Architecture: i386
 Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub, debootstrap (>= 0.1.16.3), dpkg-repack
 Suggests : cfengine
 Description: automate new computer installations in a networked site.
- Using a nfs-root filesystem and rsync, replicator allow 
+ Using a nfs-root filesystem and rsync, replicator allows 
  you to non-interactively install a target computer 
  identical to the model computer. It can handle differences 
  in partitioning and hardware.
