## replicator 3.1-sarge-1.5

=== debian/changelog ===
replicator (3.1-sarge-1.5) unstable; urgency=critical

  * switch from debootstrap to cdebootstrap : repli-miniroot won't be broken
    by the changing dependencies in Debian testing anymore

 -- Sebastien Chaumat <schaumat@debian.org>  Sat, 30 Apr 2005 23:16:59 +0200

replicator (3.1-sarge-1.4) unstable; urgency=critical

  * install libdb4.1 in repli-miniroot (libdb4.0 is no more available)
  * workaround the console-common "bad return value" bug (#272480)
  * re-added pdf documentation (correctly formated) on user request
  * fixed possible conflict on function declaration (&error) in repli-bootdisk

 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 06 Feb 2005 12:48:42 +0200
