=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: replicator
 Architecture: i386
-Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub, debootstrap (>= 0.1.16.3), dpkg-repack
+Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-kernel-server, grub, cdebootstrap
 Suggests : cfengine
 Description: automate new computer installations in a networked site.
  Using a nfs-root filesystem and rsync, replicator allows 
@@ -18,5 +18,5 @@
  Designed for clusters, classrooms and wherever you need 
  identical Debian boxes.
  .
- It's REALLY faster than normal Debian installation method. 
+ It is REALLY MUCH faster than normal Debian installation method.
