=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,6 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
-	# Add here commands to compile the package.
-	$(MAKE) binaries
-
 	touch build-stamp
 
 clean:
@@ -23,7 +19,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
