## replicator 3.1-sarge-1.6

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 DOC=replicator.conf.example\
 repli-sync.conf.example\
 Replicator-UserGuide.ps\
+Replicator-UserGuide.pdf\
 Replicator-UserGuide.lyx copyright
 #repli-postinst.diskless.example
