=== debian/changelog ===
replicator (3.1-sarge-1.6) unstable; urgency=high

  * Non-maintainer upload.
  * Fix syntax error (extra space) in debian/control.
  * Swap binary-arch and binary-indep targets in debian/rules; since the
    package is "Architecture: i386" binary-arch can't be empty.
    (Closes: #374551)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 27 Jun 2006 22:33:55 +0200
