=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: replicator
 Architecture: i386
 Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-kernel-server, grub, cdebootstrap
-Suggests : cfengine
+Suggests: cfengine
 Description: automate new computer installations in a networked site.
  Using a nfs-root filesystem and rsync, replicator allows 
  you to non-interactively install a target computer
