=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,8 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 
 
-# Build architecture-independent files here.
-binary-indep: build install
+# Build architecture-dependent files here.
+binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
@@ -64,8 +64,8 @@
 	dh_md5sums
 	dh_builddeb
 
-# Build architecture-dependent files here.
-binary-arch:
+# Build architecture-independent files here.
+binary-indep:
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
